#! /usr/bin/env python
# -*- Encoding: utf-8 -*- 

import sys
import os, os.path
import getopt
import glob

from StringIO import StringIO
from lxml import etree

from database import *

import utils

# =========================================================================

# ---- parse command line -------------

try:
    opts, args = \
        getopt.getopt(sys.argv[1:], "hv", \
                          ["help", "verbose"])
except getopt.GetoptError:
    # print help information and exit
    print >>sys.stderr, "error: usage: %s <file>" % sys.argv[0]
    sys.exit(1)
        
# print opts
# print args
# tag = False

if len(args) < 1:
    print >>sys.stderr, "error: usage: %s <file>" % sys.argv[0]
    sys.exit(2)
 
datafile = args[0]
   
# =========================================================================
# Connect to database

# init(True)
init()

# =========================================================================
# people barcode prefix is 7585XXXX (8 digits)  (as in UMR-7585)

barcode_next = 75850001

barcodes = [int(p.barcode) for p in Person.select()]
barcodes.sort()
if len(barcodes) > 0:
    barcode_last = barcodes[-1]
    barcode_next = barcode_last + 1

# =========================================================================
# Load the list of people

f = open(datafile)
for line in f:
    elts = line.split('\t')
    if len(elts) < 3:
        continue
    name = elts[0]
    office = elts[1]
    phone = elts[2]

    # does this person already exist ?

    p = Person.select(Person.q.name == name).count()
    if p > 0:
        person = Person.select(Person.q.name == name)[0]
        # already exist.
        # then update its informations
        print "Updating info for ", person.name
        person.office = office
        person.phone = phone
        continue

    barcode = "%08d" % barcode_next
    barcode_next += 1

    print name, office, phone, barcode

    print "Adding ", name
    np = Person(name = name,
                office = office,
                phone = phone,
                barcode = barcode)


f.close()

# =========================================================================
