#! /usr/bin/env python
# -*- Encoding: utf-8 -*- 
#=========================================================================
# Automate de prêt - version 0.2
# Copyright (C) 2009, 2010 Laurent Le Guillou & Thierry Le Guillou
# <llg@lpnhep.in2p3.fr>, <tlg1@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301  USA
#
#=========================================================================

from sqlobject import *

#===============================================================================


class Person(SQLObject):
    name = StringCol()
    office = StringCol()
    phone =  StringCol()
    barcode = StringCol(unique=True)
    books = MultipleJoin('Book')

class Book(SQLObject):
    title = StringCol()
    authors = StringCol()
    publisher = StringCol()
    pubyear = IntCol()
    location = StringCol() # Cote
    barcode = StringCol(unique=True)
    person = ForeignKey('Person', default=None, cascade=False)
    
#===============================================================================

def bookcmp(a,b):
    atu = a.title.upper()
    btu = b.title.upper()
    if atu < btu:
        return -1
    elif atu == btu:
        return 0
    return 1

Book.__cmp__ = bookcmp

#===============================================================================
