#! /usr/bin/env python
#! -*- Encoding: utf-8 -*-
#=========================================================================
# Automate de prêt - version 0.2
# Copyright (C) 2009, 2010 Laurent Le Guillou & Thierry Le Guillou
# <llg@lpnhep.in2p3.fr>, <tlg1@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301  USA
#
#=========================================================================
# Fix for unicode data from MARCXML files
# (useful in db-load-books.py)

replacements = {
    "c\u02b9": "ç"
    }

def unicode_fix(s):

    s_repr = repr(s)
    if s_repr[0] != 'u':
        return str(s)

    n_repr = s_repr[1:]

    for c, v in replacements.iteritems():
        n_repr = n_repr.replace(c, v)

    return eval(n_repr)

#=========================================================================
# Fix to protect special markup characters: & -> &amp;
# mainly used for GTK label markup (à la HTML)

markup_protect_list = [
    ('&', '&amp;')
    ]

def markup_protect(s):
    r = s[:]
    for i,j in markup_protect_list:
        r = r.replace(i,j)
    return r

#=========================================================================

def ellipsis(s, n):
    if len(s) <= n:
        return s
    return s[:n] + "..."

#=========================================================================
